<?php
session_start();
if(!(isset($_SESSION["k_name"]))){
header("location:index.php");
}
else{

  //conexion a la BD
include("includes/conect.php");
//configuración Horaria
include("includes/timezone.php"); 

	if ($_POST['date_reserva'] != $fecha_hoy) {
		$response = array("result" => "104", "inside" => "no_guest", "msg" => " Para reservar seleccione la fecha actual");
		echo json_encode($response);
		exit();
	}

  
  if(isset($_POST['select_area'])){

// echo $_POST['modalidad_reserva_send'];

  	switch ($_POST['modalidad_reserva_send']) {


  		// modalidad de reserva por apartamento
case 1:

		// echo $_SESSION['k_id'];
		// exit;

  	 
			$nucleo 		= $_POST['id_factura'];
			$fecha_in 		= $_POST['date_reserva'];
			$number_reserva = $_POST['number_reserva'];
			$idarea 		= $_POST['select_area'];
			$jornada 		= $_POST['select_turno'];
			$apto_from		= $_POST['apto_from'];
			$id_factura		= $_POST['id_factura'];

			 // $count = count($_POST['check_huesped']);
			$count = count($_POST['ide_nucleo']);

			// if ($number_reserva == 0) {
			// 	$response = array("result" => "100", "inside" => "no_guest", "msg" => " Debe ingresar por lo menos un usuario del listado superior");
			// 	echo json_encode($response);
			// 	exit();
			// }
			

			$result_turno = mysqli_query($conexion,"SELECT id_tabla_turno, id_area, num_turno, hora_ini_turno, hora_fin_turno from turno WHERE id_tabla_turno = '$jornada' ");
			 $row_turno = mysqli_fetch_array($result_turno);


		  $result_cant = mysqli_query($conexion, 'SELECT id as id_del_area, nombre, capacidad, observacion FROM area where id = '.$idarea.' order by nombre asc');
			$row_cant = mysqli_fetch_array($result_cant);

			$capacidad = $row_cant['capacidad'];

		  	$estado = 0;
		    $result_available   =   mysqli_query($conexion, 'SELECT COUNT(*) AS cant FROM `ocupante_reserva` WHERE `fecha_in` = \''.$fecha_in.'\' AND `idarea` = '.$idarea.' AND `estado` = '.$estado.' and jornada  = '.$row_turno['id_tabla_turno'].'');

			$row_available = mysqli_fetch_array($result_available);


			$cant = $row_available['cant'];
			$disponible = $capacidad - $cant;


		// if ($disponible < $number_reserva) {

		// 	$response = array("result" => "102", "inside" => "exceso", "msg" => " Excede el cupo de reserva de área");
		// 	echo json_encode($response);
		// 	exit();

		// 	}else{}	






// 			for($j = 0; $j < $count; $j++){
			for($j = 0; $j < 1; $j++){

				
				// identificación del usuario
				$id_ocupante 	= $_POST['ide_nucleo'][$j];
				$name_huesped 	= $_POST['name_huesped'][$j];

				$nucleo 		= $_POST['id_factura'];
				$fecha_in 		= $_POST['date_reserva'];
				$number_reserva = $_POST['number_reserva'];
				$idarea 		= $_POST['select_area'];
				$jornada 		= $_POST['select_turno'];
				$apto_from		= $_POST['apto_from'];

				// consecutivo del sistema
				$consecutivo = $_POST['ide_consecutivo'][$j];

				if ($number_reserva >= 1) {
					$nucleo = "SI";
				}else{
					$nucleo = "NO";
				}

		 

				$query_search_id = 'SELECT idarea, id_ocupante, fecha_in, jornada, nucleo, apto_from FROM ocupante_reserva where estado = 0 and idarea=\''.$idarea.'\' and apto_from=\''.$apto_from.'\' and fecha_in=\''.$fecha_in.'\' and jornada=\''.$jornada.'\' ';
			    if (!$result_ide = mysqli_query($conexion, $query_search_id)) {
			        exit(mysqli_error());
			    } 

			    if(mysqli_num_rows($result_ide) > 0) {  

					// $response = array("result" => "101", "inside" => $id_ocupante, "msg" => " El huesped con Id: $id_ocupante, ya tiene una Reserva previa para este turno");
				    	$response = array("result" => "101", "inside" => "", "msg" => " Este apartamento ya tiene una Reserva para este turno");
				// 	$response = array("result" => "101", "inside" => "", "msg" => " Reserva realizada");
					echo json_encode($response);
					exit();
			    }else{


			    	$result_turno = mysqli_query($conexion,"SELECT id_tabla_turno, id_area, num_turno, hora_ini_turno, hora_fin_turno from turno WHERE id_tabla_turno = '$jornada' ");
					$row_turno = mysqli_fetch_array($result_turno);

					/*consulta para buscar reservas */
					$query_search_id = 'SELECT idarea, id_ocupante, fecha_in, hora_in, jornada, nucleo FROM ocupante_reserva where estado = 0 and id_ocupante=\''.$id_ocupante.'\' and fecha_in=\''.$fecha_in.'\' ';
				    if (!$result_ide = mysqli_query($conexion, $query_search_id)) {
				        exit(mysqli_error());
				    } 

				    /*Si hay reservas del huesped con fecha a reservar*/
			    	if(mysqli_num_rows($result_ide) > 0) {

			    		/*Listando registros de hoy*/
			    		while($row_turno_search = mysqli_fetch_array($result_ide)){

			    			//Turno de la base de datos  $row_turno_search['hora_in']
			    			//"Turno entrante            $row_turno['hora_ini_turno']

			    			if($row_turno_search['hora_in'] == $row_turno['hora_ini_turno']){

			    				$response = array("result" => "104", "repeat_turno_hora" => $id_ocupante, "msg" => " No es posible realizar dos reservar al tiempo en distintas Zonas comunes, para el huésped con Id: $id_ocupante");
								echo json_encode($response);
								exit();
			    			}else{

			    				//id del turno en bd (debe sumarse/restarse uno para detectar que no esté en consecución)
			    				//$row_turno_search['jornada'];

			    				//id del turno en bd
			    				//$row_turno_search['jornada'];

			    				$add_conse = $jornada + 1;
			    				$minus_conse = $jornada - 1;

			    				if($row_turno_search['jornada'] == $add_conse || $row_turno_search['jornada'] == $minus_conse){
									$response = array("result" => "105", "inside" => "bloq_turno_consecutivo", "msg" => " No es posible realizar reservas de forma consecutiva");
									echo json_encode($response);
									exit();
			    				}
			    			}


			    		}//fin while

			    	}//fin if
			    	else{

			    	}


			    }


			    /*success------------------------------------------------------------------------------------------*/
	  			$hora_ini_turno = $row_turno['hora_ini_turno'];
	  			$hora_fin_turno = $row_turno['hora_fin_turno'];
	  			
	  	// 		echo $id_ocupante;


		    	$query_find_rsv = 'SELECT * from ocupante_reserva where idarea =\''.$idarea.'\' and fecha_in =\''.$fecha_in.'\' and jornada =\''.$jornada.'\'';
                if (!$result_find_rsv = mysqli_query($conexion, $query_find_rsv)) {
                    exit(mysqli_error());
                }
                
                if(mysqli_num_rows($result_find_rsv) > 0) {
                    $response = array("result" => "102", "inside" => "Esta área ya se encuentra reservada", "msg" => " Esta área ya fue reservada");
					echo json_encode($response);
					exit();
                } 


	  			 $result_huesped = 'SELECT * FROM usuario_area WHERE idocupante=\''.$id_ocupante.'\'';
				  if (!$result_search = mysqli_query($conexion, $result_huesped)) {
				        exit(mysqli_error());
				    } 

				    /*Si existe el usuario en tabla de usuario_area*/
			    	if(mysqli_num_rows($result_search) > 0) {

			    	// 	if ($_SESSION['k_id'] == $id_ocupante) {
			    	
			    	
    			    	if ($_SESSION['k_ocupacion'] == 1){
    			    	    
    			    	    if($idarea == 4){
    			    	        $response = array("result" => "102", "inside" => "Sin acceso a esta área", "msg" => " En calidad de Huésped no es posible reservar esta área");
            					echo json_encode($response);
            					exit();
    			    	    }
    			    	    
    			    	    if($idarea == 7){
    			    	        $response = array("result" => "102", "inside" => "Sin acceso a esta área", "msg" => " En calidad de Huésped no es posible reservar esta área");
            					echo json_encode($response);
            					exit();
    			    	    }
    			    	    
    			    	    if($idarea == 13){
    			    	        $response = array("result" => "102", "inside" => "Sin acceso a esta área", "msg" => " En calidad de Huésped no es posible reservar esta área");
            					echo json_encode($response);
            					exit();
    			    	    }
    			    	    
    			    	    if($idarea == 14){
    			    	        $response = array("result" => "102", "inside" => "Sin acceso a esta área", "msg" => " En calidad de Huésped no es posible reservar esta área");
            					echo json_encode($response);
            					exit();
    			    	    }
    			    	    
    			    	    if($idarea == 15){
    			    	        $response = array("result" => "102", "inside" => "Sin acceso a esta área", "msg" => " En calidad de Huésped no es posible reservar esta área");
            					echo json_encode($response);
            					exit();
    			    	    }
    			    	    
    			    	    if($idarea == 40){
    			    	        $response = array("result" => "102", "inside" => "Sin acceso a esta área", "msg" => " En calidad de Huésped no es posible reservar esta área");
            					echo json_encode($response);
            					exit();
    			    	    }
    			    	    
    			    	    if($idarea == 41){
    			    	        $response = array("result" => "102", "inside" => "Sin acceso a esta área", "msg" => " En calidad de Huésped no es posible reservar esta área");
            					echo json_encode($response);
            					exit();
    			    	    }
    			    	    
    			    	    if($idarea == 42){
    			    	        $response = array("result" => "102", "inside" => "Sin acceso a esta área", "msg" => " En calidad de Huésped no es posible reservar esta área");
            					echo json_encode($response);
            					exit();
    			    	    }
    			    	    
    			    	    
    			    	}
    			    	 
			    		
			    		
			    		  /*Doble comprobación de área yá reservada*/
            		        $estate = 0; 
            		
            				$result_per_day   =   mysqli_query($conexion, 'SELECT COUNT(*) AS cant_per_day FROM `ocupante_reserva` WHERE `fecha_in` = \''.$fecha_in.'\' AND `idarea` = '.$idarea.' AND `estado` = '.$estate.' and jornada  = '.$jornada.'');
            				$row_per_day = mysqli_fetch_array($result_per_day);
            				
            				$cant_per_day = $row_per_day['cant_per_day'];
            				
            
            				if ($cant_per_day >= 1) {
            				    
            				    $response = array("result" => "104", "inside" => "no_guest", "msg" => " Esta turno fue ser reservado, por favor seleccione un turno diferente");
            					echo json_encode($response);
            					exit();	
            
            				}else{
            				    
            				     $result_verify_turno = mysqli_query($conexion,"SELECT id_tabla_turno, id_area, num_turno from turno WHERE id_tabla_turno = '$jornada' ");
			                    $row_verify_turno = mysqli_fetch_array($result_verify_turno);
                                
                                $verify_id_tabla_turno  = $row_verify_turno['id_tabla_turno'];
                                $verify_id_area         = $row_verify_turno['id_area']; 
                                
                                 if($verify_id_area == $idarea){
                                    // echo "Go ahead";
                                }else{
                                    // echo "It´s Bad!";
                                    $response = array("result" => "104", "inside" => "no_guest", "msg" => " Por favor seleccione un turno");
                            		echo json_encode($response);
                            		exit();
                                };
            				    
        				         /*si existe lo podemos ingresar el ocupantes*/
        			    		 $query_insert ="INSERT INTO ocupante_reserva(idarea, id_ocupante, apto_from, fecha_in, hora_in, fecha_out, hora_out, jornada, cod_reservacion, nucleo, consecutivo, done_by)VALUES ('$idarea', '$id_ocupante', '$apto_from', '$fecha_in', '$hora_ini_turno', '$fecha_in', '$hora_fin_turno', '$jornada', '$id_factura', '$nucleo', '$consecutivo', 'HUESPED');";
        
        					        if (!$result_insert = mysqli_query($conexion, $query_insert)) {
        					        exit(mysqli_error($conexion));
        					            echo $query_insert;
        					            // echo "hubo un error";
        					        	// exit(); 
        					        }
        					        else
        					        { 
        
        					        	// echo "salvado perfecto";
        					        }
            
            				}
			    	  

			    	} else{



    			    	$query_find_rsv = 'SELECT * from ocupante_reserva where idarea =\''.$idarea.'\' and fecha_in =\''.$fecha_in.'\' and jornada =\''.$jornada.'\'';
                        if (!$result_find_rsv = mysqli_query($conexion, $query_find_rsv)) {
                            exit(mysqli_error());
                        }
                        
                        if(mysqli_num_rows($result_find_rsv) > 0) {
                            $response = array("result" => "102", "inside" => "Esta área ya se encuentra reservada", "msg" => " Esta área ya fue reservada");
        					echo json_encode($response);
        					exit();
                        } 


			    		/*sino existe debe ser registrado en ambas*/
			    		 $query_insert ="INSERT INTO usuario_area(idocupante, code_reserva, nombres, apellidos, estado, tipo, codigo_nucleo)VALUES ('$id_ocupante', '$apto_from','$name_huesped','', 1, 3, '$apto_from');";

					        if (!$result_insert = mysqli_query($conexion, $query_insert)) {
					        exit(mysqli_error($conexion));
					            // registro fallo
					            $response['status'] = 100;
					            $response['message'] = "registro fallo";
					        exit(); 
					        }
					        else
					        {               
					            // registro exitoso
					          $response['status'] = 200;
					          $response['message'] = "registro exitoso";
					        }
					        
					        
					        
    			    	if ($_SESSION['k_ocupacion'] == 1){
    			    	    
    			    	    if($idarea == 4){
    			    	        $response = array("result" => "102", "inside" => "Sin acceso a esta área", "msg" => " En calidad de Huésped no es posible reservar esta área");
            					echo json_encode($response);
            					exit();
    			    	    }
    			    	    
    			    	    if($idarea == 7){
    			    	        $response = array("result" => "102", "inside" => "Sin acceso a esta área", "msg" => " En calidad de Huésped no es posible reservar esta área");
            					echo json_encode($response);
            					exit();
    			    	    }
    			    	    
    			    	    if($idarea == 13){
    			    	        $response = array("result" => "102", "inside" => "Sin acceso a esta área", "msg" => " En calidad de Huésped no es posible reservar esta área");
            					echo json_encode($response);
            					exit();
    			    	    }
    			    	    
    			    	    if($idarea == 14){
    			    	        $response = array("result" => "102", "inside" => "Sin acceso a esta área", "msg" => " En calidad de Huésped no es posible reservar esta área");
            					echo json_encode($response);
            					exit();
    			    	    }
    			    	    
    			    	    if($idarea == 15){
    			    	        $response = array("result" => "102", "inside" => "Sin acceso a esta área", "msg" => " En calidad de Huésped no es posible reservar esta área");
            					echo json_encode($response);
            					exit();
    			    	    }
    			    	    
    			    	    if($idarea == 40){
    			    	        $response = array("result" => "102", "inside" => "Sin acceso a esta área", "msg" => " En calidad de Huésped no es posible reservar esta área");
            					echo json_encode($response);
            					exit();
    			    	    }
    			    	    
    			    	    if($idarea == 41){
    			    	        $response = array("result" => "102", "inside" => "Sin acceso a esta área", "msg" => " En calidad de Huésped no es posible reservar esta área");
            					echo json_encode($response);
            					exit();
    			    	    }
    			    	    
    			    	    if($idarea == 42){
    			    	        $response = array("result" => "102", "inside" => "Sin acceso a esta área", "msg" => " En calidad de Huésped no es posible reservar esta área");
            					echo json_encode($response);
            					exit();
    			    	    }
    			    	}
    			    	
    			    	
			    		  /*Doble comprobación de área yá reservada*/
            		        $estate = 0; 
            		
            				$result_per_day   =   mysqli_query($conexion, 'SELECT COUNT(*) AS cant_per_day FROM `ocupante_reserva` WHERE `fecha_in` = \''.$fecha_in.'\' AND `idarea` = '.$idarea.' AND `estado` = '.$estate.' and jornada  = '.$jornada.'');
            				$row_per_day = mysqli_fetch_array($result_per_day);
            				
            				$cant_per_day = $row_per_day['cant_per_day'];
            				
            
            				if ($cant_per_day >= 1) {
            				    
            				    $response = array("result" => "104", "inside" => "no_guest", "msg" => " Esta turno fue ser reservado, por favor seleccione un turno diferente");
            					echo json_encode($response);
            					exit();	
            
            				}else{
            				    
            				     $result_verify_turno = mysqli_query($conexion,"SELECT id_tabla_turno, id_area, num_turno from turno WHERE id_tabla_turno = '$jornada' ");
			                    $row_verify_turno = mysqli_fetch_array($result_verify_turno);
                                
                                $verify_id_tabla_turno  = $row_verify_turno['id_tabla_turno'];
                                $verify_id_area         = $row_verify_turno['id_area']; 
                                
                                 if($verify_id_area == $idarea){
                                    // echo "Go ahead";
                                }else{
                                    // echo "It´s Bad!";
                                    $response = array("result" => "104", "inside" => "no_guest", "msg" => " Por favor seleccione un turno");
                            		echo json_encode($response);
                            		exit();
                                };
            				    
        				         /*si existe lo podemos ingresar el ocupantes*/
        			    		 $query_insert ="INSERT INTO ocupante_reserva(idarea, id_ocupante, apto_from, fecha_in, hora_in, fecha_out, hora_out, jornada, cod_reservacion, nucleo, consecutivo, done_by)VALUES ('$idarea', '$id_ocupante', '$apto_from', '$fecha_in', '$hora_ini_turno', '$fecha_in', '$hora_fin_turno', '$jornada', '$id_factura', '$nucleo', '$consecutivo', 'HUESPED');";
        
        					        if (!$result_insert = mysqli_query($conexion, $query_insert)) {
        					        exit(mysqli_error($conexion));
        					            echo $query_insert;
        					            // echo "hubo un error";
        					        	// exit(); 
        					        }
        					        else
        					        { 
        
        					        	// echo "salvado perfecto";
        					        }
            
            				} 

			    	} 
			  	 
		        /*end success ----------------------------------------------------------------------------------------*/



			}   //fin ciclo

			$nombre_area = $row_cant['nombre'];
			$turno_ini = $row_turno['hora_ini_turno'];
			$turno_fin = $row_turno['hora_fin_turno'];


			$response = array("result" => "103", "inside" => "success", "msg" => " Reserva realizada con éxito-", "cant_rsv" => $count, "apto_rsv" => $apto_from, "area_rsv" => $nombre_area, "fecha_rsv" => $fecha_in, "ini_rsv" => $turno_ini, "fin_rsv" => $turno_fin);
			echo json_encode($response);
		

break;

	// modalida de reserva por aforo
case 2:



					$nucleo 		= $_POST['id_factura'];
					$fecha_in 		= $_POST['date_reserva'];
					$number_reserva = $_POST['number_reserva'];
					$idarea 		= $_POST['select_area'];
					$jornada 		= $_POST['select_turno'];
					$apto_from		= $_POST['apto_from'];
					$id_factura		= $_POST['id_factura'];

					$count = count($_POST['ide_nucleo']);
					// $number_reserva;

					

					if ($count == 0) {
						$response = array("result" => "100", "inside" => "no_guest", "msg" => " Ingrese por lo menos una persona");
						echo json_encode($response);
						exit();
					}

					// echo count($_POST['ide_nucleo']);
					// exit;


					$result_turno = mysqli_query($conexion,"SELECT id_tabla_turno, id_area, num_turno, hora_ini_turno, hora_fin_turno from turno WHERE id_tabla_turno = '$jornada' ");
					 $row_turno = mysqli_fetch_array($result_turno);


				  	$result_cant = mysqli_query($conexion, 'SELECT id as id_del_area, nombre, capacidad, observacion FROM area where id = '.$idarea.' order by nombre asc');
					$row_cant = mysqli_fetch_array($result_cant);

					$capacidad = $row_cant['capacidad'];

				  	$estado = 0;
				    $result_available   =   mysqli_query($conexion, 'SELECT COUNT(*) AS cant FROM `ocupante_reserva` WHERE `fecha_in` = \''.$fecha_in.'\' AND `idarea` = '.$idarea.' AND `estado` = '.$estado.' and jornada  = '.$row_turno['id_tabla_turno'].'');

					$row_available = mysqli_fetch_array($result_available);


					$cant = $row_available['cant'];
					$disponible = $capacidad - $cant;


				if ($disponible < $count) {
					$response = array("result" => "102", "inside" => "exceso", "msg" => " Excede el cupo de reserva de área");
					echo json_encode($response);
					exit();

					}else{




					for($j = 0; $j < $count; $j++){

						// if($j == 0){
						// 	$id_ocupante 	= $_POST['check_huesped'];
						// 	$name_huesped 	= $_POST['name_huesped'];
						// }else{
						// 	$id_ocupante 	= $_POST['check_huesped']."_".$j;
						// 	$name_huesped 	= $_POST['name_huesped']."_".$j;
						// }

						

						$nucleo 		= $_POST['id_factura'];
						$fecha_in 		= $_POST['date_reserva'];
						// $number_reserva = $_POST['number_reserva'];
						$idarea 		= $_POST['select_area'];
						$jornada 		= $_POST['select_turno'];
						$apto_from		= $_POST['apto_from'];


						// identificación del usuario
						$id_ocupante 	= $_POST['ide_nucleo'][$j];
						$name_huesped 	= $_POST['name_huesped'][$j];

						if ($count >= 1) {
							$nucleo = "SI";
						}else{
							$nucleo = "NO";
						}

						// consecutivo del sistema
						$consecutivo = $_POST['ide_consecutivo'][$j];


										 

						$data_inside = array();

						$query_search_id = 'SELECT idarea, id_ocupante, fecha_in, jornada, nucleo FROM ocupante_reserva where estado = 0 and idarea=\''.$idarea.'\' and id_ocupante=\''.$id_ocupante.'\' and fecha_in=\''.$fecha_in.'\' and jornada=\''.$jornada.'\' ';
					    if (!$result_ide = mysqli_query($conexion, $query_search_id)) {
					        exit(mysqli_error());
					    } 

					    if(mysqli_num_rows($result_ide) > 0) {  

							// $response = array("result" => "101", "inside" => $id_ocupante, "msg" => " El huesped con Id: $id_ocupante, ya tiene una Reserva previa para este turno");
							$response = array("result" => "101", "inside" => " Usuario: ". $id_ocupante. " ".$name_huesped, "msg" => "Ya existe una reservación para este turno ");
							echo json_encode($response);
							exit();
					    }else{


					    	$result_turno = mysqli_query($conexion,"SELECT id_tabla_turno, id_area, num_turno, hora_ini_turno, hora_fin_turno from turno WHERE id_tabla_turno = '$jornada' ");
							$row_turno = mysqli_fetch_array($result_turno);

							/*consulta para buscar reservas */
							$query_search_id = 'SELECT idarea, id_ocupante, fecha_in, hora_in, jornada, nucleo FROM ocupante_reserva where estado = 0 and id_ocupante=\''.$id_ocupante.'\' and fecha_in=\''.$fecha_in.'\' ';
						    if (!$result_ide = mysqli_query($conexion, $query_search_id)) {
						        exit(mysqli_error());
						    } 

						    /*Si hay reservas del huesped con fecha a reservar*/
					    	if(mysqli_num_rows($result_ide) > 0) {

					    		/*Listando registros de hoy*/
					    		while($row_turno_search = mysqli_fetch_array($result_ide)){

					    			//Turno de la base de datos  $row_turno_search['hora_in']
					    			//"Turno entrante            $row_turno['hora_ini_turno']

					    			if($row_turno_search['hora_in'] == $row_turno['hora_ini_turno']){

					    				$response = array("result" => "104", "repeat_turno_hora" => $id_ocupante, "msg" => " No es posible realizar dos reservar al tiempo en distintas Zonas comunes, para el huésped con Id: $id_ocupante");
										echo json_encode($response);
										exit();
					    			}else{

					    				//id del turno en bd (debe sumarse/restarse uno para detectar que no esté en consecución)
					    				//$row_turno_search['jornada'];

					    				//id del turno en bd
					    				//$row_turno_search['jornada'];

					    				$add_conse = $jornada + 1;
					    				$minus_conse = $jornada - 1;

					    				if($row_turno_search['jornada'] == $add_conse || $row_turno_search['jornada'] == $minus_conse){
											$response = array("result" => "105", "inside" => "bloq_turno_consecutivo", "msg" => " No es posible realizar reservas de forma consecutiva");
											echo json_encode($response);
											exit();
					    				}
					    			}


					    		}//fin while

					    	}//fin if
					    	else{

					    	}


					    }


					    /*success------------------------------------------------------------------------------------------*/
			  			$hora_ini_turno = $row_turno['hora_ini_turno'];
			  			$hora_fin_turno = $row_turno['hora_fin_turno'];



    			    	$query_find_rsv = 'SELECT * from ocupante_reserva where idarea =\''.$idarea.'\' and fecha_in =\''.$fecha_in.'\' and jornada =\''.$jornada.'\'';
                        if (!$result_find_rsv = mysqli_query($conexion, $query_find_rsv)) {
                            exit(mysqli_error());
                        }
                        
                        if(mysqli_num_rows($result_find_rsv) > 0) {
                            $response = array("result" => "102", "inside" => "Esta área ya se encuentra reservada", "msg" => " Esta área ya fue reservada");
        					echo json_encode($response);
        					exit();
                        } 


			  			 $result_huesped = 'SELECT * FROM usuario_area WHERE idocupante=\''.$id_ocupante.'\'';
						  if (!$result_search = mysqli_query($conexion, $result_huesped)) {
						        exit(mysqli_error());
						    } 

						    /*Si existe el usuario en tabla de usuario_area*/
					    	if(mysqli_num_rows($result_search) > 0) {
					    	    
					    	    
					    	    
        					    	    
            			    	if ($_SESSION['k_ocupacion'] == 1){
            			    	    
            			    	    if($idarea == 4){
            			    	        $response = array("result" => "102", "inside" => "Sin acceso a esta área", "msg" => " En calidad de Huésped no es posible reservar esta área");
                    					echo json_encode($response);
                    					exit();
            			    	    }
            			    	    
            			    	    if($idarea == 7){
            			    	        $response = array("result" => "102", "inside" => "Sin acceso a esta área", "msg" => " En calidad de Huésped no es posible reservar esta área");
                    					echo json_encode($response);
                    					exit();
            			    	    }
            			    	    
            			    	    if($idarea == 13){
            			    	        $response = array("result" => "102", "inside" => "Sin acceso a esta área", "msg" => " En calidad de Huésped no es posible reservar esta área");
                    					echo json_encode($response);
                    					exit();
            			    	    }
            			    	    
            			    	    if($idarea == 14){
            			    	        $response = array("result" => "102", "inside" => "Sin acceso a esta área", "msg" => " En calidad de Huésped no es posible reservar esta área");
                    					echo json_encode($response);
                    					exit();
            			    	    }
            			    	    
            			    	    if($idarea == 15){
            			    	        $response = array("result" => "102", "inside" => "Sin acceso a esta área", "msg" => " En calidad de Huésped no es posible reservar esta área");
                    					echo json_encode($response);
                    					exit();
            			    	    }
            			    	    
            			    	    if($idarea == 40){
            			    	        $response = array("result" => "102", "inside" => "Sin acceso a esta área", "msg" => " En calidad de Huésped no es posible reservar esta área");
                    					echo json_encode($response);
                    					exit();
            			    	    }
            			    	    
            			    	    if($idarea == 41){
            			    	        $response = array("result" => "102", "inside" => "Sin acceso a esta área", "msg" => " En calidad de Huésped no es posible reservar esta área");
                    					echo json_encode($response);
                    					exit();
            			    	    }
            			    	    
            			    	    if($idarea == 42){
            			    	        $response = array("result" => "102", "inside" => "Sin acceso a esta área", "msg" => " En calidad de Huésped no es posible reservar esta área");
                    					echo json_encode($response);
                    					exit();
            			    	    }
            			    	    
            			    	    
            			    	}
            			    	
            			    	 $result_verify_turno = mysqli_query($conexion,"SELECT id_tabla_turno, id_area, num_turno from turno WHERE id_tabla_turno = '$jornada' ");
			                    $row_verify_turno = mysqli_fetch_array($result_verify_turno);
                                
                                $verify_id_tabla_turno  = $row_verify_turno['id_tabla_turno'];
                                $verify_id_area         = $row_verify_turno['id_area']; 
                                
                                 if($verify_id_area == $idarea){
                                    // echo "Go ahead";
                                }else{
                                    // echo "It´s Bad!";
                                    $response = array("result" => "104", "inside" => "no_guest", "msg" => " Por favor seleccione un turno");
                            		echo json_encode($response);
                            		exit();
                                };
            			    	 
            			    	 
            			    	  $result_verify_turno = mysqli_query($conexion,"SELECT id_tabla_turno, id_area, num_turno from turno WHERE id_tabla_turno = '$jornada' ");
			                    $row_verify_turno = mysqli_fetch_array($result_verify_turno);
                                
                                $verify_id_tabla_turno  = $row_verify_turno['id_tabla_turno'];
                                $verify_id_area         = $row_verify_turno['id_area']; 
                                
                                 if($verify_id_area == $idarea){
                                    // echo "Go ahead";
                                }else{
                                    // echo "It´s Bad!";
                                    $response = array("result" => "104", "inside" => "no_guest", "msg" => " Por favor seleccione un turno");
                            		echo json_encode($response);
                            		exit();
                                };

					    		/*si existe lo podemos ingresar el ocupantes*/
					    		 $query_insert ="INSERT INTO ocupante_reserva(idarea, id_ocupante, apto_from, fecha_in, hora_in, fecha_out, hora_out, jornada, cod_reservacion, nucleo, consecutivo, done_by)VALUES ('$idarea', '$id_ocupante', '$apto_from', '$fecha_in', '$hora_ini_turno', '$fecha_in', '$hora_fin_turno', '$jornada', '$id_factura', '$nucleo', '$consecutivo', 'HUESPED');";

							        if (!$result_insert = mysqli_query($conexion, $query_insert)) {
							        exit(mysqli_error($conexion));
							            echo $query_insert;
							            // echo "hubo un error";
							        	// exit(); 
							        }
							        else
							        { 

							        	// echo "salvado perfecto";
							        }

					    	}else{



						    	$query_find_rsv = 'SELECT * from ocupante_reserva where idarea =\''.$idarea.'\' and fecha_in =\''.$fecha_in.'\' and jornada =\''.$jornada.'\'';
			                    if (!$result_find_rsv = mysqli_query($conexion, $query_find_rsv)) {
			                        exit(mysqli_error());
			                    }
			                    
			                    if(mysqli_num_rows($result_find_rsv) > 0) {
			                        $response = array("result" => "102", "inside" => "Esta área ya se encuentra reservada", "msg" => " Esta área ya fue reservada");
			    					echo json_encode($response);
			    					exit();
			                    } 	                    



					    		/*sino existe debe ser registrado en ambas*/
					    		 $query_insert ="INSERT INTO usuario_area(idocupante, code_reserva, nombres, apellidos, estado, tipo, codigo_nucleo)VALUES ('$id_ocupante', '$apto_from','$name_huesped','', 1, 3, '$apto_from');";

							        if (!$result_insert = mysqli_query($conexion, $query_insert)) {
							        exit(mysqli_error($conexion));
							            // registro fallo
							            $response['status'] = 100;
							            $response['message'] = "registro fallo";
							        exit(); 
							        }
							        else
							        {               
							            // registro exitoso
							          $response['status'] = 200;
							          $response['message'] = "registro exitoso";
							        }
							        
							        
                			    	if ($_SESSION['k_ocupacion'] == 1){
                			    	    
                			    	    if($idarea == 4){
                			    	        $response = array("result" => "102", "inside" => "Sin acceso a esta área", "msg" => " En calidad de Huésped no es posible reservar esta área");
                        					echo json_encode($response);
                        					exit();
                			    	    }
                			    	    
                			    	    if($idarea == 7){
                			    	        $response = array("result" => "102", "inside" => "Sin acceso a esta área", "msg" => " En calidad de Huésped no es posible reservar esta área");
                        					echo json_encode($response);
                        					exit();
                			    	    }
                			    	    
                			    	    if($idarea == 13){
                			    	        $response = array("result" => "102", "inside" => "Sin acceso a esta área", "msg" => " En calidad de Huésped no es posible reservar esta área");
                        					echo json_encode($response);
                        					exit();
                			    	    }
                			    	    
                			    	    if($idarea == 14){
                			    	        $response = array("result" => "102", "inside" => "Sin acceso a esta área", "msg" => " En calidad de Huésped no es posible reservar esta área");
                        					echo json_encode($response);
                        					exit();
                			    	    }
                			    	    
                			    	    if($idarea == 15){
                			    	        $response = array("result" => "102", "inside" => "Sin acceso a esta área", "msg" => " En calidad de Huésped no es posible reservar esta área");
                        					echo json_encode($response);
                        					exit();
                			    	    }
                			    	    
                			    	    if($idarea == 40){
                			    	        $response = array("result" => "102", "inside" => "Sin acceso a esta área", "msg" => " En calidad de Huésped no es posible reservar esta área");
                        					echo json_encode($response);
                        					exit();
                			    	    }
                			    	    
                			    	    if($idarea == 41){
                			    	        $response = array("result" => "102", "inside" => "Sin acceso a esta área", "msg" => " En calidad de Huésped no es posible reservar esta área");
                        					echo json_encode($response);
                        					exit();
                			    	    }
                			    	    
                			    	    if($idarea == 42){
                			    	        $response = array("result" => "102", "inside" => "Sin acceso a esta área", "msg" => " En calidad de Huésped no es posible reservar esta área");
                        					echo json_encode($response);
                        					exit();
                			    	    }
                			    	    
                			    	    
                			    	} 

							        /*guardado segunda tabla*/
							        $query_insert ="INSERT INTO ocupante_reserva(idarea, id_ocupante, apto_from, fecha_in, hora_in, fecha_out, hora_out, jornada, cod_reservacion, nucleo, consecutivo, done_by)VALUES ('$idarea', '$id_ocupante', '$apto_from', '$fecha_in', '$hora_ini_turno', '$fecha_in', '$hora_fin_turno', '$jornada', '$id_factura', '$nucleo', '$consecutivo', 'HUESPED');";

							        if (!$result_insert = mysqli_query($conexion, $query_insert)) {
							        exit(mysqli_error($conexion));
							            echo $query_insert;
							            // echo "hubo un error";
							        	// exit(); 
							        }
							        else
							        { 

							        	// echo "salvado perfecto";
							        }

					    	}
					  	 
				        /*end success ----------------------------------------------------------------------------------------*/

					}//fin ciclo

					$nombre_area = $row_cant['nombre'];
					$turno_ini = $row_turno['hora_ini_turno'];
					$turno_fin = $row_turno['hora_fin_turno'];


					$response = array("result" => "103", "inside" => "success", "msg" => " Reserva realizada con éxito;", "cant_rsv" => $count, "apto_rsv" => $apto_from, "area_rsv" => $nombre_area, "fecha_rsv" => $fecha_in, "ini_rsv" => $turno_ini, "fin_rsv" => $turno_fin);
					echo json_encode($response);
				}	

break;

		}


  }else{

  }

}

?>